%global artifactId javax.servlet-api

Name:           glassfish-servlet-api
Version:        3.1.0
Release:        %mkrel 11
Group:          Development/Java
Summary:        Java Servlet API
License:        (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:            http://servlet-spec.java.net
# svn export https://svn.java.net/svn/glassfish~svn/tags/javax.servlet-api-3.1.0 javax.servlet-api-3.1.0
# tar cvJf javax.servlet-api-3.1.0.tar.xz javax.servlet-api-3.1.0/
Source0:        %{artifactId}-%{version}.tar.xz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jvnet-parent
BuildRequires:  maven-local
BuildRequires:  maven-source-plugin


%description
The javax.servlet package contains a number of classes 
and interfaces that describe and define the contracts between 
a servlet class and the runtime environment provided for 
an instance of such a class by a conforming servlet container.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{artifactId}-%{version}
%pom_remove_plugin :maven-remote-resources-plugin
%pom_remove_plugin :maven-javadoc-plugin
cp -p %{SOURCE1} .
# README contains also part of javax.servlet-api license
cp -p src/main/resources/META-INF/README .
%mvn_file :%{artifactId} %{name}

%build
%mvn_alias : javax.servlet:servlet-api
%mvn_alias : org.apache.geronimo.specs:geronimo-servlet_3.0_spec
%mvn_alias : org.eclipse.jetty.orbit:javax.servlet
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc README
%license LICENSE-2.0.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.1.0-11.mga6
+ Revision: 982609
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.1.0-10.mga6
+ Revision: 976265
- First rebuild of the java stack
- sync package glassfish-servlet-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon May 18 2015 luigiwalser <luigiwalser> 3.1.0-7.mga5
+ Revision: 822337
- obsoletes servletapi4 and xt-dash1

* Wed Dec 24 2014 pterjan <pterjan> 3.1.0-6.mga5
+ Revision: 805510
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-5.mga5
+ Revision: 740762
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-3.mga4
+ Revision: 537567
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 3.1.0-2.mga4
+ Revision: 487235
- imported package glassfish-servlet-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 04 2013 gil cattaneo <puntogil@libero.it> - 3.1.0-1
- Update to 3.1.0

* Sat Mar 09 2013 David Xie <david.scriptfan@gmail.com> - 3.1-0.1.b07
- Initial version of package

